## cairo-dock-plug-ins 2.4.0~2.1

=== debian/changelog ===
cairo-dock-plug-ins (2.4.0~2.1-0ubuntu2) precise; urgency=low

  * no change rebuild for libindicator7

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 25 Jan 2012 09:48:42 -0500

cairo-dock-plug-ins (2.4.0~2.1-0ubuntu1) precise; urgency=low

  * New upstream bug fix release. (LP: #886676)
  * Upstream ChangeLog:
   - Desklet-rendering - viewport: fixed a crash when the desklet is empty
   - Status-Notifier: patch to work around strange bugs
      in the Ubuntu's indicator-application
   - Switcher: fixed a crash in expanded+desklet mode, a wrong loading
      of the icons and a small drawing bug with the non-compact view.
   - GMenu: look for *-applications.menu file in the xdg path
      (if common file names are not found, e.g. with KDE env in Oneiric)
  * debian/patches/01-switcher-force-compact-view.patch:
   - Deleted (now in upstream)
  * debian/patches/01-removed-useless-g_print.patch:
   - Removed useless output messages

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Sat, 05 Nov 2011 21:55:39 +0100

cairo-dock-plug-ins (2.4.0~2-0ubuntu1) oneiric; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * New upstream bug fix release. (LP: #859984)
  * Upstream (short) ChangeLog (2.4.0~0beta2 -> 2.4.0~1):
   - Powermanager: correctly release the reference on the device object
   - logout: now works if there is no session-manager
   - Status-Notifier: fixed a small bug
      (wrong callback in cairo_dock_stop_watching_dbus_name_owner)
   - Folders: fixed the positionning of the new icon
      and the dialog when dropping a folder inside the dock
      and fixed the icon-rendering
   - Dustbin: use the default theme if no icon is found
   - Impulse: the default context seems to be ok and not an error
   - Status-Notifier: On Ubuntu Oneiric (with indicator-0.4)
      the ApplicationAdded signal has changed and has a new parameter
   - Disable MeMenu on Oneiric (no longer available with indicator-0.4)
   - CMakeLists.txt: Improved output messages
   - Slide view: fixed a small offset in vertical view
   - musicPlayer:
    + split MPRIS 1.0 and 2.0 to help debugging and finding the right
       name of the bug.
    + 'rhythmbox-client' tool is no longer available: used MPRIS
    + Disable Amazon service (it no longer work)
    + Cover: fixed corrupted icons: some players (e.g. the latest version
       of RB) copy covers on their cache forlder but it takes a few time.
    + Fixed the update the icon and its name if the player is stopped.
    + Prevent a crash if the name given by MPRIS is NULL
   - Powermanager: try to prevent to have a few dialogues at the same time
   - PowerManager and AlsaMixer: hidden gnome2 or 3 apps if not available
   - Messaging-Menu: Updated for Natty and Oneiric
      (dbus-menu gives us GVariant instead of GValue objects)
   - Alsamixer: fixed a small bug on reload
   - Dbus: Bash interface: Fixed a typo with emblem positions
   - Sys-monitor: fixed a bug which prevented from getting
      the CPU temperature in some cases
   - Compiz (0.9): type filter: replaced type=utility by type=Utility
   - Updated the version of all applets that have gauges
     in order to use the right directory
   - Wifi: Fixed the status if we are not connected
   - Dbus: removed a conflict with the Help applet
   - Messaging-Menu: updated applet-menu.c => Memory leaks on pixbufs
   - Dbus: Fixed a crash when changing dock theme if a 'third-party' applet
      is running
   - Netspeed: in /proc/net/dev, there are 8 values to drop after the card id
      except if there is whitespaces just after this ':' character
      and fixed order and value for ON_ICON display
   - dock-rendering/toto: removed a useless file
   - Clipper: fixed the loading of the remembered items
      (they had the wrong type) and fixed a bug if we reduce the list of items
   - Folders, dustbin, Network-Monitor: tried to not use cast if it's possible
   - Code cleaned and re-organised a few functions
     (e.g. emblem references has been renamed)
   - Removed useless files: powermanager-dbus*
   - Updating translations
   - Fixed a few warnings at the compilation
   - Removed a few useless output messages
   - Fixed these LP bugs:
    + Empty trash from the trashcan does not delete files
       from usb harddisks: LP: #658681
    + Switcher applet doesn't respect desktop numbers LP: #626782
  * Upstream (short) ChangeLog (2.4.0~1 -> 2.4.0~2):
   - Messaging-Menu: fixed a wrong g_object_unref (double free)
      and a small memory leak
   - Folders: fixed a tiny warning at the compilation (32bits)
   - switcher: removed an unnecessary config parameter
   - Folders: file size: used English instead of French translation.
   - Indicator applet: Forced a cast to remove an annoying warning
      due to clumsy dbusmenu_gtkmenu_new() declaration
   - Fixed the detection of the screensaver
   - Fixed tiny warnings at the compilation (with CAIRO_CONTAINER)
  * debian/control:
   - Updated the version of cairo-dock-[core;data;dev].
   - Added gvfs as 'Suggests' for cairo-dock-plug-ins-integration
      (Used for managing files)
   - Removed 'libthunar-vfs-1-dev' (libthunar-vfs is no longer installed
      by default since XFCE 4.8 and it is replaced by gvfs)
   - Removed 'indicator-me' (no longer available
      and the installation of Cairo-Dock produces an error)
   - Moved 'indicator-messages' to 'Recommends'
  * debian/rules:
   - Updated the name of CMake extras flags
  * debian/cairo-dock-plug-ins-data.lintian-overrides:
   - Deleted (now useless)
  * debian/cairo-dock-plug-ins.lintian-overrides:
   - Cairo-Dock Plug-Ins are not linked to gldi
   - shlib-without-versioned-soname: forwarded to upstream.
  * debian/cairo-dock-plug-ins-integration.lintian-overrides:
   - Cairo-Dock Plug-Ins are not linked to gldi
   - ldconfig and shlibs are not needed
  * debian/cairo-dock-plug-ins.install:
   - Fixed lintian errors: package-installs-python-bytecode
  * debian/control: Fixed lintian warnings:


## cairo-dock-plug-ins 3.0.0

=== debian/changelog ===
cairo-dock-plug-ins (3.0.0-1) unstable; urgency=low

  [ Youhei SASAKI ]
  * Add debian/watch
  * Bump Standard Version: 3.9.3
  * Update Build-Depends

  [ Nobuhiro Iwamatsu ]
  * New Upstream version 3.0.0.
  * Add libido3-0.1-dev Build-Depends.
  * Install shared files of plugins into cairo-dock-plug-in-data package.
    (Closes: 661733)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 12 Apr 2012 18:39:01 +0900

=== debian/control ===
Source: cairo-dock-plug-ins
Section: x11
Priority: extra
DM-Upload-Allowed: yes
Maintainer: Debian Cairo-dock Maintainers <pkg-cairo-dock-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
 Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: cdbs, debhelper (>= 7), cmake(>= 2.8.0),
 cairo-dock-dev (>= 3.0.0),
 cli-common-dev [amd64 armel armhf i386 ia64 kfreebsd-any powerpc s390x sparc],
 libasound2-dev [linux-any],
 libcairo2-dev (>= 1.8.0),
 libcurl4-gnutls-dev,
 libdbus-glib-1-dev,
 libdbusmenu-glib-dev,
 libdbusmenu-gtk-dev (>= 0.4),
 libdbusmenu-gtk-dev,
 libdbusmenu-gtk3-dev,
 libetpan-dev,
 libexif-dev,
 libfftw3-dev,
 libgl1-mesa-dev,
 libglib2.0-cil-dev [amd64 armel armhf i386 ia64 kfreebsd-any powerpc s390x sparc],
 libglib2.0-dev,
 libglu1-mesa-dev,
 libgnome-keyring-dev,
 libgnome-menu-dev,
 libgnomeui-dev,
 libgnomevfs2-dev,
 libgnutls-dev,
 libgtk2.0-dev,
 libgtkglext1-dev,
#libgvfscommon-dev,
 libical-dev,
 libido3-0.1-dev,
 libindicator3-dev,
 libndesk-dbus-glib1.0-cil-dev [amd64 armel armhf i386 ia64 kfreebsd-any powerpc s390x sparc],
 libndesk-dbus1.0-cil-dev [amd64 armel armhf i386 ia64 kfreebsd-any powerpc s390x sparc],
 libpango1.0-dev,
 libpulse-dev,
 librsvg2-dev,
 libsensors4-dev,
 libthunar-vfs-1-dev,
 libupower-glib-dev,
 libvte-2.90-dev,
 libwebkitgtk-3.0-dev,
 libxklavier-dev,
 libxml2-dev,
 libxtst-dev,
 libxxf86vm-dev,
 libzeitgeist-dev,
 mono-devel [amd64 armel armhf i386 ia64 kfreebsd-any powerpc s390x sparc],
 mono-gmcs [amd64 armel armhf i386 ia64 kfreebsd-any powerpc s390x sparc],
 python,
 ruby1.9.1,
 ruby1.9.1-dev,
 valac-0.14,
 x11proto-xf86vidmode-dev
Standards-Version: 3.9.3
Homepage: http://www.glx-dock.org/
Vcs-Git: git://git.debian.org/pkg-cairo-dock/cairo-dock-plug-ins.git
Vcs-Browser: http://git.debian.org/git/pkg-cairo-dock/cairo-dock-plug-ins.git

Package: cairo-dock-plug-ins
Architecture: any
Depends: ${misc:Depends},
  cairo-dock-alsamixer-plug-in [linux-any],
  cairo-dock-animated-icons-plug-in,
  cairo-dock-cairo-penguin-plug-in,
  cairo-dock-clipper-plug-in,
  cairo-dock-clock-plug-in,
  cairo-dock-dbus-plug-in,
  cairo-dock-desklet-rendering-plug-in,
  cairo-dock-dialog-rendering-plug-in,
  cairo-dock-drop-indicator-plug-in,
  cairo-dock-dustbin-plug-in,
  cairo-dock-icon-effect-plug-in,
  cairo-dock-illusion-plug-in,
  cairo-dock-logout-plug-in,
  cairo-dock-motion-blur-plug-in,
  cairo-dock-netspeed-plug-in,
  cairo-dock-powermanager-plug-in,
  cairo-dock-quick-browser-plug-in,
  cairo-dock-rendering-plug-in,
  cairo-dock-shortcuts-plug-in,
  cairo-dock-showdesktop-plug-in,
  cairo-dock-showmouse-plug-in,
  cairo-dock-slider-plug-in,
  cairo-dock-stack-plug-in,
  cairo-dock-switcher-plug-in,
  cairo-dock-systray-plug-in,
  cairo-dock-tomboy-plug-in,
  cairo-dock-toons-plug-in,
  cairo-dock-weather-plug-in,
  cairo-dock-wifi-plug-in,
  cairo-dock-xgamma-plug-in,
  cairo-dock-gmenu-plug-in,
  cairo-dock-keyboard-indicator-plug-in,
  cairo-dock-terminal-plug-in,
  cairo-dock-mail-plug-in,
  cairo-dock-rssreader-plug-in,
  cairo-dock-system-monitor-plug-in,
  cairo-dock-dnd2share-plug-in,
  cairo-dock-musicplayer-plug-in,
  cairo-dock-weblets-plug-in,
  cairo-dock-folders-plug-in,
  cairo-dock-impulse-plug-in,
  cairo-dock-messaging-menu-plug-in,
  cairo-dock-recent-events-plug-in,
  cairo-dock-remote-control-plug-in
#  cairo-dock-gnome-integration-plug-in,
#  cairo-dock-kde-integration-plug-in,
#  cairo-dock-xfce-integration-plug-in
#  cairo-dock-scooby-do-plug-in,
#  cairo-dock-network-monitor-plug-in
#  cairo-dock-compiz-icon-plug-in,
Conflicts: cairo-dock-plugins (<< 2.4.0~2-1)
Replaces: cairo-dock-plugins (<< 2.4.0~2-1)
Description: Cairo-dock - All plug-ins
 A collection of official plug-ins and applets for cairo-dock.
 .
 This is a metapackage depending on all available cairo-dock plug-ins to make
 installation easier.

Package: cairo-dock-plug-in-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: cairo-dock-plugin-data (<< 2.4.0~2-1)
Replaces: cairo-dock-plugin-data (<< 2.4.0~2-1)
Description: Cairo-dock - Plug-in data files
 A collection of official plug-ins and applets for cairo-dock.
 .
 This package provides plug-in data files.

Package: cairo-dock-alsamixer-plug-in
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-alsamixer-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-alsamixer-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Alsamixer plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in lets you control the sound volume from the dock.
 This works with the Alsa sound driver.

Package: cairo-dock-animated-icons-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-animated-icons-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-animated-icons-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Animated icons plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in provides many different animations for your icons.

Package: cairo-dock-cairo-penguin-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-cairo-penguin-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-cairo-penguin-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Cairo-Penguin plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in adds a lively Penguin in your dock.
 Tux images are taken from Pingus, some other characters are available
 or can be added easily.

Package: cairo-dock-clipper-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-clipper-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-clipper-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Clipper plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in keeps a trace of the clipboard and mouse selection,
 so that you can recall them quickly. It's a clone of the well-know Klipper.
 This supports clipboard and mouse selection, predefined actions, and
 persistent items.

Package: cairo-dock-clock-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-clock-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-clock-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Clock plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in displays time and date in your dock.
 Two views are available : numeric and analogic, based on Cairo-Clock.
 This is compatible with the Cairo-Clock's themes, and you can detach itself to
 be a perfect clone of Cairo-Clock.
 And this supports alarms, and a basic calendar, and allows you to set time
 and date.

Package: cairo-dock-dbus-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-dbus-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-dbus-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Dbus plug-in
 A collection of official plug-ins and applets for cairo-dock
 .
 This plug-in lets external applications interact on the dock.
 The communication between both sides is based on Dbus.

Package: cairo-dock-desklet-rendering-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts:cairo-dock-desklet-rendering-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-desklet-rendering-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Desklet rendering plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in renders your desktop.

Package: cairo-dock-dialog-rendering-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-dialog-rendering-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-dialog-rendering-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Dialog rendering plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in provides some dialog decorators for dialog bubbles.

Package: cairo-dock-drop-indicator-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-drop-indicator-plugin  (<< 2.4.0~2-1)
Replaces: cairo-dock-drop-indicator-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Drop indicator plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in displays an animated indicator when you drop something
 in the dock.

Package: cairo-dock-dustbin-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-dustbin-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-dustbin-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Dustbin plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in manages the dustbin.
 Users can delete files and unmount disks by drag and dropping them on
 the icon.
 This can warn users if they use too much space.

Package: cairo-dock-icon-effect-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-icon-effect-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-icon-effect-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Icon effect plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in adds many special effects to your icons.

Package: cairo-dock-illusion-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-illusion-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-illusion-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Illusion plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in provides animations for appearance and disappearance of icons.

Package: cairo-dock-logout-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-logout-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-logout-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Logout plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 A very simple plug-in that adds an icon to log out from your session.

Package: cairo-dock-motion-blur-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-motion-blur-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-motion-blur-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Motion blur plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in adds a motion blur effect on docks.

Package: cairo-dock-netspeed-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-netspeed-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-netspeed-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Netspeed plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in shows you the bit rate of your internet connection and some
 stats about it.

Package: cairo-dock-powermanager-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version}),
	gnome-power-manager
Conflicts: cairo-dock-powermanager-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-powermanager-plugin  (<< 2.4.0~2-1)
Description: Cairo-dock - Powermanager plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in controls the powermanager for your laptop's battery.
 It works with ACPI and DBus.

Package: cairo-dock-quick-browser-plug-in

## cairo-dock-plug-ins 3.0.0.0beta1

=== CMakeLists.txt ===
########### requirements ###############

cmake_minimum_required (VERSION 2.6)
find_package (PkgConfig)
include (CheckLibraryExists)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckSymbolExists)
include ("${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/GNUInstallDirs.cmake")

########### project ###############

project ("cairo-dock-plugins")
set (VERSION "3.0.0.0beta1")

add_definitions (-std=c99 -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes) # removed for stable versions: -Wstrict-prototypes #-Wunreachable-code -Wno-unused-parameter -Wall
if (NOT ${CMAKE_BUILD_TYPE})
	add_definitions (-O3)
endif()
add_definitions (-DGL_GLEXT_PROTOTYPES="1")

############ sources tarball #############

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
set (CPACK_SOURCE_IGNORE_FILES
	"/build/;/.bzr/;bzrignore$;/misc/;~$;${CPACK_SOURCE_IGNORE_FILES}")
include (CPack)

add_custom_target(dist
	COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
add_custom_target(dist-bzr
	COMMAND bzr export ${CMAKE_PROJECT_NAME}-${VERSION}.tar.gz
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

############ uninstall #############

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)
add_custom_target (uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

########### global variables ###############

if( WIN32 )
	message(FATAL_ERROR "Cairo-Dock requires an air-conditioned room. Please close Windows!")
endif( WIN32 )

set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE ${PACKAGE})

# get plug-ins install dir
execute_process(
    COMMAND pkg-config gldi --variable=pluginsdir  # /usr/lib/cairo-dock # or /usr/lib/x86_64-linux-gnu/cairo-dock
    OUTPUT_VARIABLE pluginsdir)
STRING (REGEX REPLACE "\n" "" pluginsdir ${pluginsdir})  # remove the \n
# get plug-ins data dir
execute_process(
    COMMAND pkg-config gldi --variable=pluginsdatadir  # /usr/share/cairo-dock/plug-ins
    OUTPUT_VARIABLE pluginsdatadir)
STRING (REGEX REPLACE "\n" "" pluginsdatadir ${pluginsdatadir})
# get prefix dir
execute_process(
    COMMAND pkg-config gldi --variable=prefix  # /usr/share/cairo-dock/plug-ins
    OUTPUT_VARIABLE prefix)
STRING (REGEX REPLACE "\n" "" prefix ${prefix})
# get GTK version (must be the same as the core, as GTK2 and GTK3 can't coexist at runtime)
execute_process(
    COMMAND pkg-config gldi --variable=gtkversion  # 2 or 3
    OUTPUT_VARIABLE gtkversion)
STRING (REGEX REPLACE "\n" "" gtkversion ${gtkversion})
# check that version matches with the core
execute_process(
    COMMAND pkg-config --modversion gldi  # 2.2.0-3
    OUTPUT_VARIABLE dock_version)
STRING (REGEX REPLACE "\n" "" dock_version ${dock_version})
if (NOT "${dock_version}" STREQUAL "${VERSION}")		# Version
	if ("${PACKAGEMENT}" STREQUAL "")
		MESSAGE (FATAL_ERROR "Error : version mismatch with the core : " ${VERSION} <> ${dock_version})
	else ()
		MESSAGE (WARNING "Warning : version mismatch with the core : " ${VERSION} <> ${dock_version})
	endif ()
endif()

# check that installation dir matches with the core
GET_FILENAME_COMPONENT(libdir "${pluginsdir}/.." ABSOLUTE)  # /usr/lib # or /usr/lib/x86_64-linux-gnu
GET_FILENAME_COMPONENT(datadir "${pluginsdatadir}/../.." ABSOLUTE)  # /usr/share
if (NOT "${CMAKE_INSTALL_PREFIX}" STREQUAL "${prefix}"
		OR NOT "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}" STREQUAL "${libdir}"
		OR NOT "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}" STREQUAL "${datadir}")
	message (STATUS "It seems that the current CMAKE_INSTALL_{PREFIX,LIBDIR,DATAROOTDIR} flags are not the same that you have used with the core.")
	message (STATUS " It will be replaced by this value: ${prefix}")
	message (WARNING "Plug-ins should be installed in the same directory as the core, that is to say in ${pluginsdir}")
	set (CMAKE_INSTALL_PREFIX "${prefix}")
	#set (libdir "${CMAKE_INSTALL_PREFIX}/${libname}/cairo-dock")
endif()

# set internationalisation
set (GETTEXT_PLUGINS "cairo-dock-plugins")
set (localedir "${prefix}/${CMAKE_INSTALL_LOCALEDIR}")
set (gaugesdir "${datadir}/cairo-dock/gauges")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules/")  # additionnal FindPackage files

set (MODULES_MISSING "")
set (MODULES_INTEGRATION_MISSING "")
set (PROGRAMS_MISSING "")

########### dependancies ###############

message ("")
message (STATUS "=====================")
message (STATUS "Check dependencies...")
message (STATUS "=====================")
message ("")

pkg_check_modules ("PACKAGE" REQUIRED "cairo" "librsvg-2.0" "dbus-1" "dbus-glib-1" "libxml-2.0")
#pkg_check_modules ("PACKAGE" REQUIRED "ig")
pkg_check_modules ("GLDI" REQUIRED "gldi")  # we don't want to link with gldi, so we check it separately.
set (PACKAGE_INCLUDE_DIRS "${GLDI_INCLUDE_DIRS}")

add_definitions (-DGTK_DISABLE_DEPRECATED="1")

#############    GLIB    #################
pkg_check_modules (GLIB glib-2.0)
	STRING (REGEX REPLACE "\\..*" "" GLIB_MAJOR "${GLIB_VERSION}") # 2.28.3 => 2
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" GLIB_MINOR "${GLIB_VERSION}")  # 2.28.3 => 2.28
	STRING (REGEX REPLACE "\\.[0-9]*" "" GLIB_MINOR "${GLIB_MINOR}") # 2.28 => 28
	STRING (REGEX REPLACE ".*\\." "" GLIB_NANO "${GLIB_VERSION}") # 2.28.3 => 3
	STRING (REGEX REPLACE "-.*" "" GLIB_NANO "${GLIB_NANO}")

############# INDICATOR-APPLET #################
message (STATUS "> Indicator-Applet:")
# Note: the names of dbusmenu-glib, dbusmenu-gtk and indicator have changed...
set (DBUSMENU_MODULE dbusmenu-glib-0.4)
pkg_check_modules (DBUSMENU ${DBUSMENU_MODULE})
if (NOT "${DBUSMENU_FOUND}")
	set (DBUSMENU_MODULE dbusmenu-glib)
	pkg_check_modules (DBUSMENU ${DBUSMENU_MODULE})
endif()

if ("${gtkversion}" STREQUAL "2")
	set (DBUSMENU_GTK_MODULE dbusmenu-gtk-0.4)
else()
	set (DBUSMENU_GTK_MODULE dbusmenu-gtk3-0.4)
endif()
pkg_check_modules (DBUSMENU_GTK ${DBUSMENU_GTK_MODULE})
if (NOT "${DBUSMENU_GTK_FOUND}")
	if ("${gtkversion}" STREQUAL "2")
		set (DBUSMENU_GTK_MODULE dbusmenu-gtk)
	else()
		set (DBUSMENU_GTK_MODULE dbusmenu-gtk3)
	endif()
	pkg_check_modules (DBUSMENU_GTK ${DBUSMENU_GTK_MODULE})
endif()

if ("${gtkversion}" STREQUAL "2")
	set (INDICATOR_APPLET_MODULE indicator-0.4)
else()
	set (INDICATOR_APPLET_MODULE indicator3-0.4)
endif()
pkg_check_modules (INDICATOR_APPLET ${INDICATOR_APPLET_MODULE})
if ("${INDICATOR_APPLET_FOUND}" STREQUAL "1")
	set (INDICATOR_APPLICATIONADDED_HAS_HINT 1) # now the ApplicationAdded signal (Status-Notifier) has a new parameter (hint) => https://code.launchpad.net/~ted/indicator-application/name-hints/+merge/67213
	set (INDICATOR_NEW_VERSION 1)  # oneiric and newer
else()
	if ("${gtkversion}" STREQUAL "2")
		set (INDICATOR_APPLET_MODULE indicator)
	else()
		set (INDICATOR_APPLET_MODULE indicator3)
	endif()
	pkg_check_modules (INDICATOR_APPLET ${INDICATOR_APPLET_MODULE})
	set (INDICATOR_APPLICATIONADDED_HAS_HINT 0)
endif()

if ("${gtkversion}" STREQUAL "2")
	set (IDO_MODULE libido-0.1)
else()
	set (IDO_MODULE libido3-0.1)
endif()
pkg_check_modules (IDO ${IDO_MODULE})

if ("${INDICATOR_APPLET_FOUND}" STREQUAL "1" AND "${DBUSMENU_FOUND}" STREQUAL "1" AND "${DBUSMENU_GTK_FOUND}" STREQUAL "1")
	STRING (REGEX REPLACE "\\..*" "" DBUSMENU_MAJOR "${DBUSMENU_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" DBUSMENU_MINOR "${DBUSMENU_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" DBUSMENU_MINOR "${DBUSMENU_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" DBUSMENU_NANO "${DBUSMENU_VERSION}")
	STRING (REGEX REPLACE "-.*" "" DBUSMENU_NANO "${DBUSMENU_NANO}")

	STRING (REGEX REPLACE "\\..*" "" DBUSMENU_GTK_MAJOR "${DBUSMENU_GTK_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" DBUSMENU_GTK_MINOR "${DBUSMENU_GTK_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" DBUSMENU_GTK_MINOR "${DBUSMENU_GTK_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" DBUSMENU_GTK_NANO "${DBUSMENU_GTK_VERSION}")
	STRING (REGEX REPLACE "-.*" "" DBUSMENU_GTK_NANO "${DBUSMENU_GTK_NANO}")

	STRING (REGEX REPLACE "\\..*" "" INDICATOR_MAJOR "${INDICATOR_APPLET_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" INDICATOR_MINOR "${INDICATOR_APPLET_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" INDICATOR_MINOR "${INDICATOR_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" INDICATOR_NANO "${INDICATOR_APPLET_VERSION}")
	STRING (REGEX REPLACE "-.*" "" INDICATOR_NANO "${INDICATOR_NANO}")

	if (${DBUSMENU_GTK_MAJOR} GREATER 0 OR ${DBUSMENU_GTK_MINOR} GREATER 5 OR (${DBUSMENU_GTK_MINOR} EQUAL 5 AND ${DBUSMENU_GTK_NANO} GREATER 89))
		set (DBUSMENU_GTK3_NEW 1)
	endif()

	if ("${INDICATOR_NEW_VERSION}" STREQUAL "1")  # oneiric and newer
		if ("${gtkversion}" STREQUAL "2")
			execute_process(
				COMMAND pkg-config --variable=iconsdir indicator-0.4
				OUTPUT_VARIABLE INDICATORICONSDIR)
		else()
			execute_process(
				COMMAND pkg-config --variable=iconsdir indicator3-0.4
				OUTPUT_VARIABLE INDICATORICONSDIR)
		endif()
	else()
		if ("${gtkversion}" STREQUAL "2")
			execute_process(
				COMMAND pkg-config --variable=iconsdir indicator
				OUTPUT_VARIABLE INDICATORICONSDIR)
		else()
			execute_process(
				COMMAND pkg-config --variable=iconsdir indicator3
				OUTPUT_VARIABLE INDICATORICONSDIR)
		endif()
	endif()
	STRING (REGEX REPLACE "\n" "" INDICATORICONSDIR ${INDICATORICONSDIR})  # la commande rajoute un retour chariot ...
	add_subdirectory (Indicator-applet)
	set (with_indicator "yes")
else()
	message (WARNING "These modules are required to compile Indicators applet (MeMenu, Messaging-Menu, Sound-Control, Status-Notifier and Global-Menu): ${INDICATOR_APPLET_MODULE}(-0.4), ${IDO_MODULE}, ${DBUSMENU_MODULE}(-0.4), ${DBUSMENU_GTK_MODULE}(-0.4)")
	set (MODULES_MISSING "${MODULES_MISSING} ${INDICATOR_APPLET_MODULE}(-0.4) (${IDO_MODULE}) ${DBUSMENU_MODULE}(-0.4) ${DBUSMENU_GTK_MODULE}(-0.4)")
endif()

############# INDICATOR-NAME #################
message (STATUS "> Indicator Names:")
set (INDICATOR_OLD_NAMES 0)
if ("${force_old_indicator_names}" STREQUAL "yes")
	set (INDICATOR_OLD_NAMES 1)
	message (STATUS "  Indicators: use old Ayatana Dbus names (forced)")
#~ elseif ("${DISTRO_ID}" STREQUAL "Ubuntu")
	#~ STRING (REGEX REPLACE "\\..*" "" DISTRO_RELEASE_MAJOR ${DISTRO_RELEASE})
	#~ # message (STATUS "DISTRO_RELEASE_MAJOR: ${DISTRO_RELEASE_MAJOR}")
	#~ if (${DISTRO_RELEASE_MAJOR} LESS 11)  # from 11.04, new names are used.
		#~ set (INDICATOR_OLD_NAMES 1)
		#~ message (STATUS "  Indicators: use old Ayatana Dbus names")
	#~ endif()
elseif ("${INDICATOR_APPLET_FOUND}" STREQUAL "1" AND NOT (${INDICATOR_MAJOR} GREATER 0 OR ${INDICATOR_MINOR} GREATER 3 OR (${INDICATOR_MINOR} EQUAL 3 AND ${INDICATOR_NANO} GREATER 20)))
	set (INDICATOR_OLD_NAMES 1)  # maverick or older
	message (STATUS "  Indicators: use old Ayatana Dbus names")
endif()

############# ALSA_MIXER #################
message (STATUS "> AlsaMixer:")
set (with_alsa "no")
if (NOT "${enable-alsa-mixer}" STREQUAL "no")
	pkg_check_modules (ALSA_MIXER_PACKAGE alsa)
	if ("${ALSA_MIXER_PACKAGE_FOUND}" STREQUAL "")
		message (STATUS "Could not find alsa; Cairo-Dock won't be built with AlsaMixer applet.")
		message (WARNING "This module is required to compile AlsaMixer applet: alsa")
		set (MODULES_MISSING "${MODULES_MISSING} alsa")
	else()
		set (GETTEXT_ALSA_MIXER ${GETTEXT_PLUGINS})
		set (VERSION_ALSA_MIXER "2.0.0")
		set (PACKAGE_ALSA_MIXER "cd-AlsaMixer")
		set (with_alsa "yes")
		set (alsa_mixerdatadir "${pluginsdatadir}/AlsaMixer")
		configure_file (${CMAKE_CURRENT_SOURCE_DIR}/alsaMixer/data/AlsaMixer.conf.in ${CMAKE_CURRENT_BINARY_DIR}/alsaMixer/data/AlsaMixer.conf)
		if ("${with_indicator}" STREQUAL "yes" AND "${IDO_FOUND}"
			AND "${INDICATOR_OLD_NAMES}" STREQUAL "0")
			set (with_soundmenu "yes")
		endif()
		add_subdirectory ("alsaMixer")
	endif()
endif()

############# ANIMATED ICONS #################
message (STATUS "> Animated Icons:")

=== Status-Notifier/src/CMakeLists.txt ===

########### sources ###############

SET(cd-StatusNotifier_LIB_SRCS
	applet-init.c 		applet-init.h
	applet-config.c 		applet-config.h
	applet-host.c 		applet-host.h
	applet-host-kde.c 	applet-host-kde.h
	applet-host-ias.c 	applet-host-ias.h
	applet-item.c 		applet-item.h
	applet-draw.c 		applet-draw.h
	applet-notifications.c 	applet-notifications.h
	applet-struct.h
)

add_library(${PACKAGE_STATUS_NOTIFIER} SHARED ${cd-StatusNotifier_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${status_notifierdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Status-Notifier.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Status-Notifier")
add_definitions (-DMY_APPLET_VERSION="${VERSION_STATUS_NOTIFIER}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_STATUS_NOTIFIER}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")
add_definitions (-DINDICATOR_OLD_NAMES=${INDICATOR_OLD_NAMES})
add_definitions (-DINDICATOR_APPLICATIONADDED_HAS_HINT=${INDICATOR_APPLICATIONADDED_HAS_HINT})
add_definitions (-DCD_PLUGINS_DIR="${pluginsdir}")
if (DBUSMENU_GTK3_NEW)
	add_definitions (-DDBUSMENU_GTK3_NEW=1)
endif()

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${DBUSMENU_GTK_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${DBUSMENU_GTK_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_STATUS_NOTIFIER}
	${PACKAGE_LIBRARIES}
	${DBUSMENU_GTK_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_STATUS_NOTIFIER} DESTINATION ${pluginsdir})

=== alsaMixer/src/CMakeLists.txt ===

########### sources ###############

set (cd-AlsaMixer_LIB_SRCS
	applet-init.c 				applet-init.h
	applet-config.c 			applet-config.h
	applet-notifications.c 		applet-notifications.h
	applet-draw.c 				applet-draw.h
	applet-generic.c 			applet-generic.h
	# alsa backend
	applet-backend-alsamixer.c 	applet-backend-alsamixer.h
	applet-struct.h)

# Sound service backend (optionnal)
if ("${with_soundmenu}" STREQUAL "yes")
	set (cd-AlsaMixer_LIB_SRCS
		${cd-AlsaMixer_LIB_SRCS}
		applet-backend-sound-menu.c applet-backend-sound-menu.h
		applet-menu.c 				applet-menu.h
		volume-widget.c				volume-widget.h
		voip-input-widget.c			voip-input-widget.h
		transport-widget.c			transport-widget.h
		mute-widget.c				mute-widget.h
		metadata-widget.c			metadata-widget.h)
endif()

add_library (${PACKAGE_ALSA_MIXER} SHARED ${cd-AlsaMixer_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${alsa_mixerdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="AlsaMixer.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="AlsaMixer")
add_definitions (-DMY_APPLET_VERSION="${VERSION_ALSA_MIXER}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_ALSA_MIXER}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")
if ("${with_soundmenu}" STREQUAL "yes")
	add_definitions (-DSOUND_SERVICE_SUPPORT="1")
endif()
if (DBUSMENU_GTK3_NEW)
	add_definitions (-DDBUSMENU_GTK3_NEW=1)
endif()


if ("${with_soundmenu}" STREQUAL "yes")
	include_directories (
		${PACKAGE_INCLUDE_DIRS}
		${ALSA_MIXER_PACKAGE_INCLUDE_DIRS}
		${DBUSMENU_INCLUDE_DIRS}
		${DBUSMENU_GTK_INCLUDE_DIRS}
		${INDICATOR_APPLET_INCLUDE_DIRS}
		${IDO_INCLUDE_DIRS}
		${CMAKE_SOURCE_DIR}/Indicator-applet)

	link_directories (
		${PACKAGE_LIBRARY_DIRS}
		${ALSA_MIXER_PACKAGE_LIBRARY_DIRS}
		${DBUSMENU_LIBRARY_DIRS}
		${DBUSMENU_GTK_LIBRARY_DIRS}
		${INDICATOR_APPLET_LIBRARY_DIRS}
		${IDO_LIBRARY_DIRS}
		${CMAKE_SOURCE_DIR}/Indicator-applet)

	target_link_libraries (${PACKAGE_ALSA_MIXER}
		${PACKAGE_LIBRARIES}
		${ALSA_MIXER_PACKAGE_LIBRARIES}
		${DBUSMENU_LIBRARIES}
		${DBUSMENU_GTK_LIBRARIES}
		${INDICATOR_APPLET_LIBRARIES}
		${IDO_LIBRARIES}
		indicator-applet)
else()
	include_directories (
		${PACKAGE_INCLUDE_DIRS}
		${ALSA_MIXER_PACKAGE_INCLUDE_DIRS})

	link_directories (
		${PACKAGE_LIBRARY_DIRS}
		${ALSA_MIXER_PACKAGE_LIBRARY_DIRS})

	target_link_libraries (${PACKAGE_ALSA_MIXER}
		${PACKAGE_LIBRARIES}
		${ALSA_MIXER_PACKAGE_LIBRARIES})
endif()

########### install files ###############

install(TARGETS ${PACKAGE_ALSA_MIXER} DESTINATION ${pluginsdir})

=== debian/changelog ===
cairo-dock-plug-ins (3.0.0.0beta1-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #932042)
  * Upstream (short) ChangeLog:
   - The Log out applet has been rewritten, now allows one to switch users.
   - Many shortkeys have been added in different applets
   - The Sound Menu from Ubuntu has been integrated into the
      Sound-Control applet.
   - The Sound Menu from Ubuntu has been integrated into the
      Sound-Control applet.
   - Cairo-Dock now uses GTK3, for a better integration in a Gnome desktop
   - Few additions to the DBus API.
   - (...)
  * debian/patches:
   - Removed all previous patches (now in upstream)
  * debian/rules and debian/control:
   - Added multiarch support
  * debian/control:
   - Updated build-depends list (needed for MultiArch support and GTK3)
   - libgtkglext1-dev is no longer needed
      (replaced by libgl, libglu and libpango)
   - Removed old Gnome dependences: libgnomevfs2-dev, libgnomeui-dev
      and libgnome-keyring-dev
   - libfftw3-dev is no longer needed
   - Increased the version of Cairo-Dock packages
   - Separated DBus interfaces from cairo-dock-plug-ins package into
      cairo-dock-plug-ins-dbus-interface-* packages in order to add right
      dependences.
   - cairo-dock-plug-ins: cairo-dock-plug-ins-dbus-interface-python
      has been added.
  * debian/rules:
   - Added -Denable-global-menu=yes (supported in Ubuntu)
  * debian/cairo-dock-plug-ins.install
     and debian/cairo-dock-plug-ins-integration.install: MultiArch is
     now supported
  * debian/cairo-dock-plug-ins.install,
     debian/cairo-dock-plug-ins-data.install,
     debian/cairo-dock-plug-ins-dbus-interface-vala.install,
     debian/cairo-dock-plug-ins-dbus-interface-ruby.install,
     debian/cairo-dock-plug-ins-dbus-interface-python.install and
     debian/cairo-dock-plug-ins-dbus-interface-mono.install:
      DBus interfaces from cairo-dock-plug-ins have been separated into
      cairo-dock-plug-ins-dbus-interface-* pacakges
  * Updated debian/watch
  * debian/compat
   - Debhelper 8 is now used

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Thu, 16 Feb 2012 01:45:57 +0200

=== debian/control ===
Source: cairo-dock-plug-ins
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthieu Baerts (matttbe) <matttbe@gmail.com>, Julien Lavergne <julien.lavergne@gmail.com>, Matthew Walker <matthaeus123@gmail.com>, Fabrice Rey <fabounet@glx-dock.org>
Build-Depends: 	cdbs,
		libxxf86vm-dev,
		debhelper (>= 8.1.3),
		cmake,
		libcairo2-dev (>= 1.8.0),
		libgtk-3-dev,
		librsvg2-dev (>= 2.22.0),
		libdbus-glib-1-dev,
		libxml2-dev,
		libxtst-dev,
		libglib2.0-dev (>= 2.20),
		libgl1-mesa-dev | libgl-dev,
		libglu1-mesa-dev | libglu-dev,
		libpango1.0-dev,
		libgldi-dev (>= 3.0.0.0beta1),
		libasound2-dev,
		libvte-2.90-dev,
		x11proto-xf86vidmode-dev,
		libgnome-menu-dev,
		libgnutls-dev,
		libwebkitgtk-3.0-dev,
		libxklavier-dev,
		libexif-dev,
		libcurl4-gnutls-dev,
		libetpan-dev,
		libical-dev,
		libindicator3-dev,
		libdbusmenu-gtk3-dev,
		libdbusmenu-glib-dev,
		libido3-0.1-dev,
		libsensors4-dev,
		libzeitgeist-dev,
		python,
		valac,
		ruby,
		cli-common-dev (>= 0.7),
		mono-devel,
		mono-gmcs,
		libglib2.0-cil-dev,
		libndesk-dbus1.0-cil-dev,
		libndesk-dbus-glib1.0-cil-dev,
		libpulse-dev,
		libupower-glib-dev
Standards-Version: 3.9.2
Homepage: http://www.glx-dock.org/

Package: cairo-dock-plug-ins-integration
Section: graphics
Architecture: any
Conflicts: 	cairo-dock-plug-ins (<= 2.0.8.0)
Replaces: 	cairo-dock-plug-ins (<= 2.0.8.0)
Depends: 	cairo-dock-plug-ins-data (>= ${source:Version}),
		cairo-dock-core (>= 3.0.0.0beta1),
		${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests:	gvfs
Multi-Arch: same
Description: Plug-ins for Cairo-Dock for a better integration in GNOME, KDE and Xfce
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains plug-ins for a better integration in GNOME, KDE and Xfce.

Package: cairo-dock-plug-ins
Section: graphics
Architecture: any
Conflicts: 	cairo-dock-plug-ins (<= 2.0.8.0)
Depends: 	cairo-dock-plug-ins-data (>= ${source:Version}),
		cairo-dock-core (>= 3.0.0.0beta1),
		curl,
		wget,
		${shlibs:Depends},
		${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends:	cairo-dock-plug-ins-integration (>= ${source:Version}),
		cairo-dock-plug-ins-dbus-interface-python (>= ${source:Version})
Suggests:	compiz,
		gnote,
		indicator-messages,
		indicator-sound,
		cairo-dock-plug-ins-dbus-interface-ruby (>= ${source:Version}),
		cairo-dock-plug-ins-dbus-interface-vala (>= ${source:Version}),
		cairo-dock-plug-ins-dbus-interface-mono (>= ${source:Version})
Multi-Arch: same
Description: Set of plug-ins for Cairo-Dock
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.

Package: cairo-dock-plug-ins-data
Section: graphics
Architecture: all
Conflicts: 	cairo-dock-plug-ins (<= 2.0.8.0)
Replaces: 	cairo-dock-plug-ins (<= 2.0.8.0)
Depends: 	${misc:Depends}
Description: Common files for cairo-dock-plug-ins
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains all images, locales and configuration files for
 cairo-dock-plug-ins.

Package: cairo-dock-plug-ins-dbus-interface-python
Section: graphics
Architecture: all
Replaces:	cairo-dock-plug-ins (<< 3.0.0.0beta0)
Breaks:		cairo-dock-plug-ins (<< 3.0.0.0beta0)
Depends: 	cairo-dock-plug-ins (>= ${source:Version}),
		python,
		${misc:Depends}
Description: Python interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Python interface for the DBus plug-in.

Package: cairo-dock-plug-ins-dbus-interface-vala
Section: graphics
Architecture: any
Replaces:	cairo-dock-plug-ins (<< 3.0.0.0beta0),
			cairo-dock-plug-ins-data (<< 3.0.0.0beta0)
Breaks:		cairo-dock-plug-ins (<< 3.0.0.0beta0),
			cairo-dock-plug-ins-data (<< 3.0.0.0beta0)
Depends: 	cairo-dock-plug-ins (>= ${source:Version}),
		${shlibs:Depends},
		${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests:	valac
Multi-Arch: same
Description: Vala interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Vala interface for the DBus plug-in.

Package: cairo-dock-plug-ins-dbus-interface-ruby
Section: graphics
Architecture: any
Replaces:	cairo-dock-plug-ins (<< 3.0.0.0beta0)
Breaks:		cairo-dock-plug-ins (<< 3.0.0.0beta0)
Depends: 	cairo-dock-plug-ins (>= ${source:Version}),
		ruby,
		${misc:Depends}
Description: Ruby interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Ruby interface for the DBus plug-in.

Package: cairo-dock-plug-ins-dbus-interface-mono
Section: graphics
Architecture: any
Replaces:	cairo-dock-plug-ins (<< 3.0.0.0beta0)
Breaks:		cairo-dock-plug-ins (<< 3.0.0.0beta0)
Depends: 	cairo-dock-plug-ins (>= ${source:Version}),
		${cli:Depends},
		${misc:Depends}
Description: Mono interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Mono interface for the DBus plug-in.
